Download it now!
Bug 80474 - Mac OS X toolbar background isn't drawn correctly
Summary: Mac OS X toolbar background isn't drawn correctly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.3.0.1 rc
Hardware: x86-64 (AMD64) Mac OS X (All)
: highest major
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.3.2
Keywords: regression
: 82678 83318 (view as bug list)
Depends on:
Blocks: mab4.3
  Show dependency treegraph
 
Reported: 2014-06-24 10:28 UTC by Tin Man
Modified: 2017-10-07 11:47 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Active window in the front, inactive in the back (269.88 KB, image/png)
2014-06-24 10:28 UTC, Tin Man
Details
LibreOffice 4.3 toolbar in OS X (10.8) - does not refresh properly (64.59 KB, image/jpeg)
2014-08-03 13:18 UTC, Arek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tin Man 2014-06-24 10:28:53 UTC
Created attachment 101664 [details]
Active window in the front, inactive in the back

The Mac OS X toolbar background gradient introduced in 4.3 is only drawn correctly with a single LibreOffice window open. When another LibreOffice window is opened (e.g. New Spreadsheet or Preferences), the toolbar gradients of both windows appear broken. The problem remains even when one of the windows is closed.

Steps to reproduce:
1) Open LibreOffice.
2) Create a new text document.
3) Create a new spreadsheet.

Expected behavior:
Inactive windows would use the inactive window gradient and active windows would use the active window gradient.

Actual behavior:
Inactive windows use the active window gradient and active windows use the inactive window gradient. When actionable icons are hovered over, the gradient behind them changes to the correct one. (See attached screenshot for a clearer picture.)
Comment 1 Adolfo Jayme 2014-06-24 22:35:47 UTC

*** This bug has been marked as a duplicate of bug 79453 ***
Comment 2 Yousuf Philips (jay) (retired) 2014-06-24 23:06:02 UTC
I dont think this bug is similar to my bug as my bug is not limited to 4.3.

iplaw, foss: can you guys have a look over this and compare it with 4.2 to see if its a regression.
Comment 3 Tin Man 2014-06-24 23:19:31 UTC
This is definitely not a duplicate of 79453 -- it's a completely different issue.
Comment 4 retired 2014-06-25 09:42:17 UTC
I've seen this several times -> new.
Comment 5 retired 2014-06-25 09:43:49 UTC
Not sure about regression. The toolbar background has imo been added for 4.3 (the gray gradient), so the fact that this is not behaving 100% correctly indeed is a regression. Adding keyword.
Comment 6 Alex Thurgood 2014-06-27 13:52:03 UTC
Yes, this is new with 4.3, hence my comment on the UX list a few days ago in reply to Emir's question on Yosemite. Confirming also.
Comment 7 Arek 2014-08-03 13:18:39 UTC
Created attachment 103903 [details]
LibreOffice 4.3 toolbar in OS X (10.8) - does not refresh properly
Comment 8 retired 2014-08-16 09:55:27 UTC
I have not yet observed this with 4.3.1RC1. But maybe I have not used it enough for the issue to appear?

Can others please test and see if this persists? Looking good here so far.
https://www.libreoffice.org/download/pre-releases/
Comment 9 Emir Sarı 2014-08-16 10:34:53 UTC
Issue persists with the latest master. To reproduce, just open a dialog box within LO (e. g. About box) then close it.
Comment 10 retired 2014-08-16 10:51:24 UTC
Interesting, while I can confirm what Emir writer for 4.4 nightly from today, I cannot reproduce the issue under 4.3.1RC1.

Raising importance to major, since the top tool bar is a fundamental element of an office suite and should not have major UI issues in any public release.
Comment 11 retired 2014-08-16 13:38:12 UTC
*** Bug 82678 has been marked as a duplicate of this bug. ***
Comment 12 Björn Michaelsen 2014-08-21 12:17:19 UTC Comment hidden (obsolete)
Comment 13 Adolfo Jayme 2014-09-01 06:12:21 UTC
*** Bug 83318 has been marked as a duplicate of this bug. ***
Comment 14 az_pchelp 2014-09-03 14:41:21 UTC
Native background rendering on OSX not working on spreadsheet.
Comment 15 Commit Notification 2014-09-03 19:02:27 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61a9838e521222e0aeb3199e18e6d828801a8035

fdo#80474: Fix the check whether the window is active on OS X.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2014-09-03 19:05:23 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8fdcfe28859fee61c87e0a6a06f5d8eab82eed4&h=libreoffice-4-3

fdo#80474: Fix the check whether the window is active on OS X.


It will be available in LibreOffice 4.3.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 retired 2014-09-04 08:01:52 UTC
Looking good in Version: 4.4.0.0.alpha0+
Build ID: e12b6b789e3980b1aac5c02f893edae1979adfe5
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-09-04_02:02:58

Thanks so much Jan or addressing this!

Could you have a glance at https://bugs.freedesktop.org/show_bug.cgi?id=51534 ?
Bug about ruler color not adapting LO background color.